# -*- coding: utf-8 -*-
import scrapy


class DouluodaluSpider(scrapy.Spider):
    name = 'douluodalu'
    allowed_domains = ['m.lread.net']
    start_urls = ['https://m.lread.net/book/401/356106.html']

    def parse(self, response):
        title=response.xpath('//h1/text()').extract_first()
        content=response.xpath('//p/text()').extract()

        url_next=response.xpath('/html/body/div//li[4]/a/@href').extract_first()
        content1 =[str(i) for i in content]
        content2=''.join(content1)
        yield {
            'title': title,
            'content': content2.strip().replace('\xa0',''),
            'url_next': url_next,
            'url_now':response.request.url
        }
        new_url='https://m.lread.net'+url_next
        yield scrapy.Request(new_url,callback=self.parse)